Subject: Re: Problems with mount system call -- cannot mount procfs!

From: "James Dougherty" <[email-masked]>
Date: Wed, 31 Jul 2002 12:53:35 -0700

Wolfgang Denk wrote:
>
> In message <[email-masked]> you wrote:
> >
> > I checked out my ppcboot early_init.S and the ppcboot startup files.
> > In ppcboot-1.1.4/cpu/mpc824x/start.S
> ...
> > I remove this code with an ifdef:
> >
> > #if !defined(CONFIG_MUSENKI) && !defined(CONFIG_BMW)
> >
> > And then rebuilt and boot linux-2.4.19-rc3 (latest rsync from mvista.com yesterday)!
>
> Well, and what was the result?
>

Life is good :-) Everything is working perfectly.

> > Does the setup code above work on Sandpoint, or another MPC824x system?
>
> Sure. It works here on SP8240, and on CU824 boards (both with 8240 CPUs).

It would appear that the memory/cache architecture is different on those boards.
Do you have an external cache? I believe the Sandpoint modules have an option
for L2 cache...

--
James F. Dougherty, III
Broadcom Corporation
[email-masked]
(408) 501-8273

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/